> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stake account summary metrics

> This endpoint returns various metrics for a specific stake account aggregated across different time windows.

These endpoints return high level information about stake accounts over the time period such as their network penetration, rewards, annual percentage yield (APY), paid commissions, and the effectiveness of their validator delegate/s.

<Note>
  On the `1d` time period, the APY takes into account the rewards received for the last 3 days to smooth out the noise given Solana's staking rewards schedule, which is every epoch (\~2 days).
</Note>


## OpenAPI

````yaml get /v1/solana/delegators/stakeAccounts/{stake_account}/summary
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/solana/delegators/stakeAccounts/{stake_account}/summary:
    get:
      tags:
        - Solana Overview
      summary: Get stake account summary metrics
      description: >-
        This endpoint returns various metrics for a specific stake account
        aggregated across different time windows.
      operationId: >-
        delegator_summary_v1_solana_delegators_stakeAccounts__stake_account__summary_get
      parameters:
        - name: stake_account
          in: path
          required: true
          schema:
            type: string
            title: Stake Account
        - name: window
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/TimeWindow'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SolanaDelegatorSummary'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    SolanaDelegatorSummary:
      properties:
        stakeAccount:
          type: string
          title: Stakeaccount
        stakeAuthority:
          anyOf:
            - type: string
            - type: 'null'
          title: Stakeauthority
        withdrawAuthority:
          anyOf:
            - type: string
            - type: 'null'
          title: Withdrawauthority
        timeWindow:
          $ref: '#/components/schemas/TimeWindow'
        delegatedStake:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Delegatedstake
        networkPenetration:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Networkpenetration
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        validatorVoteAccount:
          anyOf:
            - type: string
            - type: 'null'
          title: Validatorvoteaccount
        validatorName:
          anyOf:
            - type: string
            - type: 'null'
          title: Validatorname
        validatorEffectiveness:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Validatoreffectiveness
        voteCommissionRate:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Votecommissionrate
        mevCommissionRate:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Mevcommissionrate
        sumStakingRewards:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Sumstakingrewards
        sumMevRewards:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Summevrewards
        sumRewards:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Sumrewards
        sumStakingCommissionPaid:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Sumstakingcommissionpaid
        sumMevCommissionPaid:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Summevcommissionpaid
        sumCommissionPaid:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Sumcommissionpaid
        stakingRewardsApy:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Stakingrewardsapy
        mevRewardsApr:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Mevrewardsapr
        delegatorApy:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Delegatorapy
        sumMissedStakingRewards:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Summissedstakingrewards
      type: object
      required:
        - stakeAccount
        - stakeAuthority
        - withdrawAuthority
        - timeWindow
        - delegatedStake
        - networkPenetration
        - status
        - validatorVoteAccount
        - validatorName
        - validatorEffectiveness
        - voteCommissionRate
        - mevCommissionRate
        - sumStakingRewards
        - sumMevRewards
        - sumRewards
        - sumStakingCommissionPaid
        - sumMevCommissionPaid
        - sumCommissionPaid
        - stakingRewardsApy
        - mevRewardsApr
        - delegatorApy
        - sumMissedStakingRewards
      title: SolanaDelegatorSummary
      examples:
        - delegatedStake: 100000.55
          delegatorApy: 0.05
          mevCommissionRate: 0.07
          mevRewardsApr: 0
          networkPenetration: 0.24
          stakeAccount: 123FPQtifVXkooNAhiYiKeoQaL9tD9kkY5mQvGRwnLy2
          stakeAuthority: q9XWcZ7T1wP4bW9SB4XgNNwjnFEJ982nE8aVbbNuwot
          stakingRewardsApy: 0.05
          status: active
          sumCommissionPaid: 0.0001
          sumMevCommissionPaid: 0
          sumMevRewards: 0
          sumMissedStakingRewards: 0
          sumRewards: 0.002
          sumStakingCommissionPaid: 0.0001
          sumStakingRewards: 0.002
          timeWindow: 1d
          validatorEffectiveness: 0.984
          validatorName: Ledger by Figment
          validatorVoteAccount: 26pV97Ce83ZQ6Kz9XT4td8tdoUFPTng8Fb8gPyc53dJx
          voteCommissionRate: 0.07
          withdrawAuthority: q9XWcZ7T1wP4bW9SB4XgNNwjnFEJ982nE8aVbbNuwot
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.